Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextServicesSupport.BCSSServiceProvider

    java.lang.Object
      java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

All Implemented Interfaces:
  Serializable

Enclosing class:
  BeanContextServicesSupport

    protected static class BeanContextServicesSupport.BCSSServiceProvider

extends Object
implements Serializable

subclasses may subclass this nested class to add behaviors for each BeanContextServicesProvider.

See Also:
  Serialized Form

Field Summary
`protected BeanContextServiceProvider` | `serviceProvider`

Method Summary
`protected BeanContextServiceProvider` | `getServiceProvider()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceProvider

    protected BeanContextServiceProvider serviceProvider

Method Detail

### getServiceProvider

    protected BeanContextServiceProvider getServiceProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.